Errore : Impossibile trovare : com.android.support:support-v4:20.0.+

? Williams @ | Original: StackOverFlow
---

Ho importato un progetto in Android Studio che è stato costruito in esso . Ho bisogno di biblioteca v4 e v7 nel progetto . Ecco come il mio build.gradle assomiglia

build.gradle

apply plugin: 'android-library'

android {
    compileSdkVersion 19
    buildToolsVersion '20'
    defaultConfig {
        applicationId 'com.example.sdk'
        minSdkVersion 9
        targetSdkVersion 19
        versionCode 1
        versionName '1.0'
    }
    buildTypes {
        release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    productFlavors {
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:appcompat-v7:20.0.+'
    compile 'com.android.support:support-v4:20.0.+'
}

Quando la sincronizzazione con Gradle allora si dà sempre un messaggio di errore

Impossibile trovare: amp com.android.support:support-v4:20.0.+ & ; Impossibile trovare: com.android.support:appcompat-v7:20.0.+

Errore : Impossibile trovare : com.android.support:support-v4:20.0.+

Errore : Impossibile trovare : com.android.support:support-v4:20.0.+

Si prega di sostenere & amp ; grazie in anticipo.

---

Top 5 Risposta

1Bijesh P V @

Il Android repository supporto mancava, Quindi, andare a Android SDK, installare il Android Support Repository e Android Support Library . Inoltre è possibile utilizzare il seguente

compile 'com.android.support:support-v4:20.0.0'
compile 'com.android.support:appcompat-v7:20.0.0'

instead of

compile 'com.android.support:appcompat-v7:20.0.+'
compile 'com.android.support:support-v4:20.0.+'
2zhiwen zhang @

Nota : Se si sta sviluppando con Android Studio, selezionare e installare la voce Android Support Repository, invece .

vedi https://developer.android.com/tools/support-library/setup.html#download .

3user3758898 @

rom Android Studio andare su: Strumenti >> >> Android SDK Responsabile

Selezionare e installare "Strumenti | Android Support Repository "